const scrolltest = {
  name: 'scrolltest',
  last_name: 'scrolltest',
  hashtags: ['#scrolltest'],
  email_main: '',
  email_work: '',
  phone: '',
  phone_old: '',
  fax: '',
  address: ''
}

window.contacts = [
  {
    name: 'Pavel',
    last_name: 'Horák',
    hashtags: ['#muhaha', '#spoluzacka', '#volejbal'],
    email_main: 's@somewhere.sth',
    email_work: 's@somewhereelse.sth',
    phone: '+420 737 029 837',
    phone_old: '+420 601 530 381',
    fax: '387 390 420',
    address: 'Slivenecká 9\n940 15 Žlutice'
  },
  {
    name: 'Karel',
    last_name: 'Závora',
    hashtags: ['#nein', '#basketball'],
    email_main: 'karel@somewhere.sth',
    email_work: 'zavora@somewhereelse.sth',
    phone: '+420 737 300 837',
    phone_old: '+420 601 200 381',
    fax: '387 500 420',
    address: 'Modroskvoucí 4\n940 15 Žlutice'
  }
]


for (let i = 0; i < 15; i+=1) {
  contacts.push(scrolltest)
}

function fillContactList() {
  contacts.reverse().forEach(c => {
    const $c = $('#contact-template').clone().attr('id', null)
    $c.find('.name').text(c.name)
    $c.find('.last-name').text(c.last_name)
    $c.click(e => {
      showContactDetails(c)
      setActiveCustomer($c)
    })
    $c.prependTo('.contacts .list')
  })
}

fillContactList()

function showContactDetails(c) {
  const $details =  $('.contact-details')
  if (!$details.is(':visible')) {
    $('.select-a-contact').hide()
    $details.show()
  }
  $details.find('h2.full-name').text(`${c.name} ${c.last_name}`)
  $details.find('.name').text(c.name)
  $details.find('.last-name').text(c.last_name)
  $details.find('.hashtags').text(c.hashtags.join(', '))
  $details.find('.email-main').text(c.email_main)
  $details.find('.email-work').text(c.email_work)
  $details.find('.phone').text(c.phone)
  $details.find('.phone-old').text(c.phone_old)
  $details.find('.fax').text(c.fax)
  $details.find('.address').html(c.address.replace(/\n/, '<br>'))
}

$('.contact-details .btn-close').click(e => {
  $('.contact-details').hide()
  $('.select-a-contact').show()
  setActiveCustomer(null)
})

function setActiveCustomer($c) {
  $('.contacts .list .list-item').removeClass('active')
  if ($c != null)
    $c.addClass('active')
}

$('.hide-names').click(e => {
  $('.contacts').toggleClass('names-hidden')
  if ($('.contacts').hasClass('names-hidden')) {
    $('.hide-names .content').text('zobrazit jména')
  }
  else {
    $('.hide-names .content').text('skrýt jména')
  }
})

$('.btn-export').click(e => {

})
